Bug 851773 - CVE-2009-3850 Blender: Arbitrary code execution via malicious .blend file [epel-all]
CVE-2009-3850 Blender: Arbitrary code execution via malicious .blend file [ep...
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: blender (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
fst_owner=pjp
: Security, SecurityTracking
Depends On:
Blocks: CVE-2009-3850
  Show dependency treegraph
 
Reported: 2012-08-25 12:15 EDT by Vincent Danen
Modified: 2016-11-21 14:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-21 14:01:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-25 12:15:06 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=533395

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 pjp 2014-11-01 06:27:22 EDT
The upstream has been fixed for quite long,

  -> https://bugs.gentoo.org/show_bug.cgi?id=364291
  -> https://bugzilla.redhat.com/show_bug.cgi?id=533395#c13

Could you please take a look at it?
Comment 2 pjp 2014-11-13 07:20:22 EST
Hello Jochen, you plan to fix it?
Comment 3 Luya Tshimbalanga 2016-11-19 14:29:59 EST
Hello, 
I am the new maintainer of Blender and notice this bug report. Sadly, the new version requires python 3.5.1. Given my lack of experience in EPEL would someone maintain this branch?
Comment 4 Vincent Danen 2016-11-21 11:20:59 EST
This was fixed in Fedora 16 via:

fedora:16/blender-2.59-5.fc16

Surely that version doesn't require python 3.5.1 (pretty sure Fedora 16 did not have python3).  Can't you just update to that version?

I mean, this bug is over 4 years old now so maybe not fixing it is ok at this point given it's age?
Comment 5 Luya Tshimbalanga 2016-11-21 14:01:35 EST
(In reply to Vincent Danen from comment #4)
> This was fixed in Fedora 16 via:
> 
> fedora:16/blender-2.59-5.fc16
> 
> Surely that version doesn't require python 3.5.1 (pretty sure Fedora 16 did
> not have python3).  Can't you just update to that version?
> 
> I mean, this bug is over 4 years old now so maybe not fixing it is ok at
> this point given it's age?

I agree. Looking at the database, Blender is retired on both el5 and el6. However, epel7 branch is still active and needs a build.
With those considerations I can safely close this report.

Note You need to log in before you can comment on or make changes to this bug.